JavaScript API Reference
Class Index | File Index

## Classes

- wm
- wm.Bounds
- wm.Component
- wm.Container
- wm.Control
- wm.DataGrid
- wm.DataGridColumn
- wm.Dijit
- wm.expression
- wm.LiveForm
- wm.LiveVariable
- wm.LiveView
- wm.MavericksModel
- wm.NavigationCall
- wm.NavigationService
- wm.Object
- wm.Panel
- wm.Service
- wm.ServiceVariable
- wm.Variable

# Class wm.NavigationService

Extends wm.Service.
Defined in: NavigationService.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| wm.NavigationService() Service for client side navigation.

Fields borrowed from class wm.Service:
  error, result
Fields borrowed from class wm.Component:
  name, owner

Method Summary
Method Attributes | Method Name and Description
--- | ---
| gotoDialogPage(inPageName, inHideControls, inWidth, inHeight) Dynamically load and show a page inside of dialog box.
| gotoLayer(inLayer) Shows a layer.
| gotoPage(inPageName) Dynamically load and show a top level page.
| gotoPageContainerPage(inPageName, inPageContainer) Dynamically load and show a page inside of a page container.
| nextLayer(inLayers) Show the next layer in a set of layers.
| previousLayer(inLayers) Show the previous layer in a set of layers.

Methods borrowed from class wm.Service:
  invoke, onError, onResult
Methods borrowed from class wm.Component:
  constructor, createComponent, destroy, getId, getRuntimeId
Methods borrowed from class wm.Object:
  extendSchema, getPropertyType, getPropFlags, getValue, listDataProperties, listProperties, setValue, toString

Class Detail
wm.NavigationService()
Service for client side navigation.
Navigation methods on this class are also available as service operations where noted. Service operation inputs match the arguments on the related method, and so they are not documented separately.
Report errata or suggestions for NavigationService.
Method Detail
gotoDialogPage(inPageName, inHideControls, inWidth, inHeight)
Dynamically load and show a page inside of dialog box.
This method is available as a configurable operation on this service.

Parameters:
{String} inPageName
  The page to load.
{Boolean} inHideControls
  Set true to hide the default dialog controls.
{Number} inWidth
  The width of the dialog content area in pixels.
{Number} inHeight
  The height of the dialog content area in pixels.

Report errata or suggestions for gotoDialogPage.

gotoLayer(inLayer)
Shows a layer.
This method is available as a configurable operation on this service.

Parameters:
{wm.Layer} inLayer
  The layer to show.

Report errata or suggestions for gotoLayer.

gotoPage(inPageName)
Dynamically load and show a top level page.
This method is available as a configurable operation on this service.

Parameters:
{String} inPageName
  The page to load.

Report errata or suggestions for gotoPage.

gotoPageContainerPage(inPageName, inPageContainer)
Dynamically load and show a page inside of a page container.
This method is available as a configurable operation on this service.

Parameters:
{String} inPageName
  The page to load.
{wm.PageContainer} inPageContainer
  The page container that will contain the page.

Report errata or suggestions for gotoPageContainerPage.

nextLayer(inLayers)
Show the next layer in a set of layers.
This method is available as a configurable operation on this service.

Parameters:
{wm.Layers} inLayers
  The set of layers to operate on.

Report errata or suggestions for nextLayer.

previousLayer(inLayers)
Show the previous layer in a set of layers.
This method is available as a configurable operation on this service.

Parameters:
{wm.Layers} inLayers
  The set of layers to operate on.

Report errata or suggestions for previousLayer.

Documentation generated by JsDoc Toolkit 2.0.1 on Wed Jun 03 2009 13:28:38 GMT-0700 (PDT)